Bug 866749 - SELinux is preventing /usr/bin/kmod from 'getattr' accesses on the file /usr/lib/modules/3.6.1-1.fc17.x86_64/modules.dep.bin.
SELinux is preventing /usr/bin/kmod from 'getattr' accesses on the file /usr/...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:e8b99c358247da2167b1c8600ed...
:
: 844027 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-16 00:03 EDT by Ardi Triantoro
Modified: 2013-08-01 01:00 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 01:00:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: type (9 bytes, text/plain)
2012-10-16 00:03 EDT, Ardi Triantoro
no flags Details
File: hashmarkername (14 bytes, text/plain)
2012-10-16 00:03 EDT, Ardi Triantoro
no flags Details

  None (edit)
Description Ardi Triantoro 2012-10-16 00:03:26 EDT
Additional info:
libreport version: 2.0.14
kernel:         3.6.1-1.fc17.x86_64

description:
:SELinux is preventing /usr/bin/kmod from 'getattr' accesses on the file /usr/lib/modules/3.6.1-1.fc17.x86_64/modules.dep.bin.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that kmod should be allowed getattr access on the modules.dep.bin file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep modprobe /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:system_dbusd_t:s0-s0:c0.c1023
:Target Context                system_u:object_r:modules_object_t:s0
:Target Objects                /usr/lib/modules/3.6.1-1.fc17.x86_64/modules.dep.b
:                              in [ file ]
:Source                        modprobe
:Source Path                   /usr/bin/kmod
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           kmod-7-2.fc17.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-153.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Permissive
:Host Name                     (removed)
:Platform                      Linux (removed) 3.6.1-1.fc17.x86_64 #1 SMP Wed Oct
:                              10 12:13:05 UTC 2012 x86_64 x86_64
:Alert Count                   1
:First Seen                    2012-10-16 11:02:01 WIT
:Last Seen                     2012-10-16 11:02:01 WIT
:Local ID                      dd55bb4e-ab4b-4037-8cc7-0d36e2119bdb
:
:Raw Audit Messages
:type=AVC msg=audit(1350360121.889:111): avc:  denied  { getattr } for  pid=2061 comm="modprobe" path="/usr/lib/modules/3.6.1-1.fc17.x86_64/modules.dep.bin" dev="sda4" ino=268589 scontext=system_u:system_r:system_dbusd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:modules_object_t:s0 tclass=file
:
:
:type=SYSCALL msg=audit(1350360121.889:111): arch=x86_64 syscall=fstat success=yes exit=0 a0=4 a1=7fff81503810 a2=7fff81503810 a3=20 items=0 ppid=1433 pid=2061 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=modprobe exe=/usr/bin/kmod subj=system_u:system_r:system_dbusd_t:s0-s0:c0.c1023 key=(null)
:
:Hash: modprobe,system_dbusd_t,modules_object_t,file,getattr
:
:audit2allow
:
:#============= system_dbusd_t ==============
:allow system_dbusd_t modules_object_t:file getattr;
:
:audit2allow -R
:
:#============= system_dbusd_t ==============
:allow system_dbusd_t modules_object_t:file getattr;
:
Comment 1 Ardi Triantoro 2012-10-16 00:03:31 EDT
Created attachment 627927 [details]
File: type
Comment 2 Ardi Triantoro 2012-10-16 00:03:33 EDT
Created attachment 627928 [details]
File: hashmarkername
Comment 3 Miroslav Grepl 2012-10-16 08:06:42 EDT
Do you know what you were doing when this happened?
Comment 4 Ardi Triantoro 2012-10-16 08:13:01 EDT
when I fresh install and doing yum update to kernel 3.6.1. I don't know this will happen and until now i can not using wireless.
Comment 5 Daniel Walsh 2012-10-16 08:51:38 EDT
This looks like systemd-dbus launched modprobe?  Or launched an app that ended up doing a modprobe.
Comment 6 Miroslav Grepl 2012-10-17 03:02:25 EDT
*** Bug 844027 has been marked as a duplicate of this bug. ***
Comment 7 A. Lloyd Flanagan 2012-10-21 11:22:03 EDT
 After insall of jockey and activation intel management engine.

Package: (null)
OS Release: Fedora release 17 (Beefy Miracle)
Comment 8 Daniel Walsh 2012-10-24 15:55:12 EDT
Any idea what this tool is trying to do?

Can you put the machine into permissive mode and gather all of the AVCs?

ausearch -m avc -ts recent
Comment 9 Miroslav Grepl 2012-10-24 15:56:36 EDT
I thought it could be the jockey but we have the policy for this.
Comment 10 yermandu daniel 2013-01-14 18:34:05 EST
internet home page game

Package: (null)
Architecture: i686
OS Release: Fedora release 17 (Beefy Miracle)
Comment 11 Fedora End Of Life 2013-07-03 20:51:18 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2013-08-01 01:00:38 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.